$(function(){
  // バツボタンの挙動
  $(document).on('click', '.popup-modal-dismiss', function (e) {
    e.preventDefault();
    $.magnificPopup.close();
  });
  // 通常
  $('.popup').each(function(){
    $(this).magnificPopup({
      type: 'inline',
      preloader: false
    });
  });
  // ギャラリー
  $('.popupGallery').each(function(){
    $(this).magnificPopup({
      delegate: 'a',
      type:'image',
      gallery: {
        enabled: true
      }
    });
  });
  // 動画
  $('.popupMovie').each(function(){
    $(this).magnificPopup({
      type: 'iframe',
      mainClass: 'mfp-fade',
      removalDelay: 200,
      preloader: false,
      fixedContentPos: false
    });
  });
});